### File

`packages/core/src/lib/services/eui-timezone.service.ts`

### Index

###### Methods

- getCountries
- getTimezone
- getTimezones
- iso2country

### Methods

getCountries
`getCountries()`
Gets the list of ISO-codes for all countries Returns : `string[]`

getTimezone
`getTimezone(tz: string)`

Parameters :

Name | Type | Optional
tz | `string` | No

Returns : `EuiTimeZone`

getTimezones
`getTimezones()`
Returns : `EuiTimeZone[]`

iso2country
`iso2country(iso: string)`

Convert country ISO code to country name (in english)

Parameters :

Name | Type | Optional
iso | `string` | No

Returns : `string`

# results matching ""

# No results matching ""